<!DOCTYPE html>

<html>
	<head>
		<link rel="stylesheet" href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css">
		<script src="//netdna.bootstrapcdn.com/bootstrap/3.1.1/js/bootstrap.min.js"></script>
	</head>
	<body>
		<div class="container">
			<div class="well">
				<h1>nuenemann Module Fix</h1>
			</div>
			<ul>
				[{foreach from=$oView->getVarnames() item="varname" name="varnames"}]
					<li><a href="#[{$varname}]">[{$varname}]</a></li>
				[{/foreach}]
			</ul>
			[{foreach from=$oView->getVarnames() item="varname" name="varnames"}]
				<div class="well" id="[{$varname}]">
					<h2>[{$varname}] (serialisiert)</h2>
					<pre>[{$oView->bn_getRawResults($varname)|var_dump}]</pre>
					<h2>[{$varname}] (unserialisiert)</h2>
					<table class="table">
						<thead>
							<tr>
								<th>Index</th>
								<th>Schlüssel</th>
								<th>Wert</th>
								<th></th>
							</tr>
						</thead>
						<tbody>
							[{foreach from=$oView->bn_getUnserializedResults($varname) key="key" item="value" name="modules"}]
								<tr>
									<td>[{$smarty.foreach.modules.index}]</td>
									<td>[{$key}]</td>
									<td>
										[{if $value|is_array}]
											[{$value|var_dump}]
										[{else}]
											[{$value}]
										[{/if}]
									</td>
									<td>
										<form action="[{$oViewConf->getSelfLink()}]" method="post" >
											[{$oViewConf->getHiddenSid()}]
											<input type="hidden" name="cl" value="bn_dhlexport">
											<input type="hidden" name="fnc" value="bn_deleteEntry">
											<input type="hidden" name="varname" value="[{$varname}]">
											<input type="hidden" name="modulename" value="[{$key}]">
											<button type="submit" class="btn btn-danger btn-xs">&times;</button>
										</form>
									</td>
								</tr>
							[{/foreach}]
						</tbody>
					</table>
				</div>
			[{/foreach}]
		</div>
	</body>
</html>